cfa: XCfa Struct Reference

| cfa Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCfa Struct Reference
Cfa_v7_1

The XCfa instance data structure. More...

## Data Fields
XCfa_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Core instance is initialized. More...
u16 | HSize
| Active video horizontal size. More...
u16 | VSize
| Active video vertical size. More...
XCfa_CallBack | ProcStartCallBack
| Callback for processing start interrupt. More...
void * | ProcStartRef
| To be passed to the process start interrupt callback. More...
XCfa_CallBack | FrameDoneCallBack
| Callback for frame done interrupt. More...
void * | FrameDoneRef
| To be passed to the frame done interrupt callback. More...
XCfa_ErrorCallBack | ErrCallBack
| Callback for error interrupt. More...
void * | ErrRef
| To be passed to the error interrupt callback. More...

## Detailed Description

The XCfa instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific instance.

## Field Documentation

XCfa_Config XCfa::Config

Hardware configuration.

Referenced by XCfa_CfgInitialize(), XCfa_DisableDbgBypass(), XCfa_DisableDbgTestPattern(), XCfa_EnableDbgByPass(), XCfa_EnableDbgTestPattern(), XCfa_GetActiveSize(), XCfa_GetBayerPhase(), XCfa_GetDbgFrameCount(), XCfa_GetDbgLineCount(), XCfa_GetDbgPixelCount(), XCfa_GetVersion(), XCfa_IntrHandler(), XCfa_IsDbgByPassEnabled(), XCfa_IsDbgTestPatternEnabled(), XCfa_SelfTest(), XCfa_SetActiveSize(), XCfa_SetBayerPhase(), and XCfa_Setup().

XCfa_ErrorCallBack XCfa::ErrCallBack

Callback for error interrupt.

Referenced by XCfa_CfgInitialize(), XCfa_IntrHandler(), and XCfa_SetCallBack().

void* XCfa::ErrRef

To be passed to the error interrupt callback.

Referenced by XCfa_IntrHandler(), and XCfa_SetCallBack().

XCfa_CallBack XCfa::FrameDoneCallBack

Callback for frame done interrupt.

Referenced by XCfa_CfgInitialize(), XCfa_IntrHandler(), and XCfa_SetCallBack().

void* XCfa::FrameDoneRef

To be passed to the frame done interrupt callback.

Referenced by XCfa_IntrHandler(), and XCfa_SetCallBack().

u16 XCfa::HSize

Active video horizontal size.

Referenced by XCfa_Setup().

u32 XCfa::IsReady

Core instance is initialized.

Referenced by XCfa_CfgInitialize(), XCfa_IntrHandler(), and XCfa_SetCallBack().

XCfa_CallBack XCfa::ProcStartCallBack

Callback for processing start interrupt.

Referenced by XCfa_CfgInitialize(), XCfa_IntrHandler(), and XCfa_SetCallBack().

void* XCfa::ProcStartRef

To be passed to the process start interrupt callback.

Referenced by XCfa_IntrHandler(), and XCfa_SetCallBack().

u16 XCfa::VSize

Active video vertical size.

Referenced by XCfa_Setup().